
Showroom Mobile Banking - Bug #14902

IB&MB - fund-transfer - Convert to ngrx data

25 November 2022 03:08 PM - chok yee fan

Status: Closed Start date: 25 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Issue

------

Currently not using ngrx data.

Expected

------

Use ngrx data.

History

#1 - 08 December 2022 09:51 AM - Wong Mun Fung

- Status changed from New to In Progress

#2 - 08 December 2022 05:44 PM - Wong Mun Fung

r220290 | wongmf | 2022-12-08 17:27:38 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/fund-transfer/data-access/src/index.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/fund-transfer/data-access/src/lib/shared-fund-transfer-

data-access.module.ts

mun fung :Bug #14902 IB&MB - fund-transfer - Convert to ngrx data ( update lib module, index.ts)

----------------------------------------------------------------------------

r220289 | wongmf | 2022-12-08 17:27:19 MYT

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/fund-transfer/data-access/src/lib/fund-transfer-entity.s

ervice.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/fund-transfer/data-access/src/lib/fund-transfer-entity-m

etadata.ts

mun fung :Bug #14902 IB&MB - fund-transfer - Convert to ngrx data ( entity service , data services , metadata)

----------------------------------------------------------------------------

r220288 | wongmf | 2022-12-08 17:25:30 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer-confirmation/fund-tran

sfer-confirmation.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-receipt/fund-transfer-re

ceipt.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer/fund-transfer.page.htm

l

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-secure/fund-transfer-se

cure.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-secure/fund-transfer-se

cure.module.ts
M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer-confirmation/fund-tran

sfer-confirmation.page.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer/fund-transfer.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transf

er-confirmation.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer-receipt/fund-transfer-r

eceipt.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-receipt/fund-transfer-re

ceipt.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-cart/fund-transfer-cart.p

age.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-cart/fund-transfer-cart.

module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transf

er-confirmation.page.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.page.ts

mun fung :Bug #14902 IB&MB - fund-transfer - Convert to ngrx data

----------------------------------------------------------------------------

#3 - 09 December 2022 05:54 PM - Wong Mun Fung

- Status changed from In Progress to Resolved

- Assignee changed from Wong Mun Fung to Hoo Dextor

#4 - 20 December 2022 05:05 PM - Wong Mun Fung

r220533 | wongmf | 2022-12-20 17:04:23 MYT

22 April 2025 2/5

https://dev.silverlakemobility.com/redmine/issues/14902


Changed paths:

M /HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.page.ts

M /HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-detail.page.ts

M /HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/showroom-mb/src/app/fund-transfer-secure/fund-transfer-secure.page.ts

M /HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/web-showroom/src/app/fund-transfer/fund-transfer.page.ts

M

/HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/web-showroom/src/app/fund-transfer-confirmation/fund-transfer-confirmation.pa

ge.ts

M /HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/showroom-mb/src/app/fund-transfer-cart/fund-transfer-cart.page.ts

M /HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/web-showroom/src/app/fund-transfer-receipt/fund-transfer-receipt.page.ts

M

/HLF/Source/SMEHLF900/branches/hlf-dfe-R1S1/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transfer-confirmation.pag

e.ts

mun fung : add skipUntil(timer(0) to error$ sub for fund-transfer

----------------------------------------------------------------------------

r220534 | wongmf | 2022-12-20 17:05:10 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer/fund-transfer.page.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-detail/fund-transfer-det

ail.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-secure/fund-transfer-se

cure.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer-receipt/fund-transfer-r

eceipt.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-confirmation/fund-transf

er-confirmation.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer-confirmation/fund-tran

sfer-confirmation.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer-cart/fund-transfer-cart.p

age.ts

mun fung : add skipUntil(timer(0) to error$ sub for fund-transfer

----------------------------------------------------------------------------
#5 - 27 December 2022 11:05 AM - Wui Ling Chai

- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to chok yee fan

MB Issue:

When the "Transfer Now" button is clicked, an error message appeared

Steps:

1. Login

2. Dashboard -> Fund Transfer (Quick Access)

3. Fill in all the input fields

4. Error msg pop up [C0002]

Expected outcome:

Able to be redirected to the Fund Transfer Receipt Page

Possible Solution: -

#6 - 03 January 2023 02:16 PM - chok yee fan

- Assignee changed from chok yee fan to Wong Mun Fung

#7 - 04 January 2023 05:28 PM - chok yee fan

- Assignee changed from Wong Mun Fung to Wui Ling Chai

Wui Ling Chai wrote:

MB Issue:

When the "Transfer Now" button is clicked, an error message appeared

Steps:

1. Login

2. Dashboard -> Fund Transfer (Quick Access)

3. Fill in all the input fields

4. Error msg pop up [C0002]

Expected outcome:

Able to be redirected to the Fund Transfer Receipt Page

Possible Solution: -

 

Revision #220755 Committed by chokyf Moments ago chok: resolve duplicate name of metadata 

https://dev.silverlakemobility.com/redmine/issues/14902#note-5

/Users/sladmin/Documents/showroom-nx-trunk-webstorm/libs/shared/fund-transfer/data-access/src/lib

fund-transfer-entity.service.ts

fund-transfer-entity-metadata.ts

shared-fund-transfer-data-access.module.ts
#8 - 05 January 2023 09:41 AM - Wui Ling Chai

- Status changed from Feedback to Resolved

- Assignee changed from Wui Ling Chai to Hoo Dextor

#9 - 09 January 2023 03:37 PM - Pui Shan Lee

- Status changed from Resolved to Feedback

- Assignee changed from Hoo Dextor to chok yee fan

(IB) Issue:

1. 3rd Party transfer

2. Enter details

3. Confirm details and enter TAC

4. Click 'Add Favourite' button

5. Enter the Add Favourite page and click 'Back'

6. Click the 'Back' button and the receipt shows incomplete

Expected:

The receipt should show all the details

#10 - 09 January 2023 04:21 PM - Pui Shan Lee

- Assignee changed from chok yee fan to Hoo Dextor

r220870 | leepsh | 2023-01-09 16:20:09 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/transaction-history-receipt/transactio

n-history-receipt.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer-receipt/fund-transfer-r

eceipt.page.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/fund-transfer/fund-transfer.page.ts

Pui Shan: Alter clearCache() in fund-transfer module and transaction-history-receipt.ts

----------------------------------------------------------------------------

#11 - 11 September 2023 10:12 AM - Hoo Dextor

- Status changed from Feedback to Closed
